SUBST(1)

NAME
subst - substitute a path by a drive letter.

SYNOPSIS
subst /? subst dr1: dr2:path subst dr: /d subst

DESCRIPTION
subst is designed to manipulate the CDS (Current Directory Structure), so a path of one drive can be accessed by a drive letter. subst is part of the swsubst package. It can be created, if it does not already exist, by copying the executable swsubst.exe to subst.exe.

OPTIONS

/?  Displays a little help screen.

/d  Causes subst to break off the relation between the drive letter dr and the substituted path. If dr is JOIN'ed and not SUBST'ed, the relation is been broken off, too.

dr1: dr2:path
    Causes subst to substitute the path on drive dr2 with the drive letter dr1. If dr1 is already SUBST'ed or JOIN'ed, this relation will be broken off. path need not neither exist nor fully qualified. It will be created as well as the full path relative to the current working directory on drive dr2.

without any parameter
    This dumps a list onto the screen containing all SUBST'ed drives in the form: X: => Y:PATH; where Y:PATH is the fully-qualified path and by X: substituted path. If there is no SUBST'ed drive, no output occurs.

SEE ALSO
swsubst, join.

KNOWN BUGS

•   Networked drives cannot be used.

•   Sometimes substitutions onto a floppy drive won't work for unknown reason.

CONTRIBUTERS
    Steffen Kaiser
Ernst-Thlmann-Strae 2
     D-09126 Iden
 Deutschland - Germany